Update product
curl --request PUT \
--url https://api.sandbox.cheqpay.mx/lps/products/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"price": 1,
"imageUrl": "<string>"
}
'import requests
url = "https://api.sandbox.cheqpay.mx/lps/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"price": 1,
"imageUrl": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', price: 1, imageUrl: '<string>'})
};
fetch('https://api.sandbox.cheqpay.mx/lps/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"merchantId": "<string>",
"name": "<string>",
"price": 1,
"id": "<string>",
"description": "<string>",
"status": "active",
"imageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"message": "Validation failed"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}{
"message": "Internal server error"
}Products
Update product
Update an existing product
PUT
/
products
/
{id}
Update product
Authorizations
API key for merchant authentication
Path Parameters
Product ID (MongoDB ObjectId)
Pattern:
^[a-f\d]{24}$Body
application/json
Response
Product updated successfully
Product entity
MongoDB ObjectId
Pattern:
^[a-f\d]{24}$Merchant identifier
Pattern:
^[a-f\d]{24}$Product name
Product price
Required range:
x >= 0Custom product identifier
Product description
Product status
Available options:
active, inactive Product image URL
Creation timestamp
Last update timestamp
Soft deletion timestamp (null if not deleted)